%define prefix /opt/spice
%define version 3f5sfix
Summary: SPICE3 circuit simulator
Name: spice
Version: %{version}
Release: 1a
Copyright: Free for people friendly to the U.S.A.
Group: Applications/Engineering
Requires: readline >= 2.0
Source: sunsite.unc.edu:/pub/Linux/apps/circuits/spice%{version}.tar.gz
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>

%description
SPICE is a general-purpose circuit simulation program for nonlinear
dc, nonlinear transient, and linear ac analyses.  Circuits may contain
resistors, capacitors, inductors, mutual inductors, independent
voltage and current sources, four types of dependent sources,
transmission lines, and the four most common semiconductor devices:
diodes, BJT's, JFET's, and MOSFET's.

This is Spice 3f4 patched to 3f5 and includes the new port patches for
Linux which include GNU Readline command-line editing and history file
support, as well as native Spice support for X11R6 and MFB.

%prep 
%setup -n spice%{version}

rm `find . -name "*.orig" -print`
cd conf
mv linux linux.ORIG
sed -e "s;/usr/local/spice;%{prefix};" \
	-e "s;joe;vi;" \
	-e "s;-O2 -s;${RPM_OPT_FLAGS} -s;" \
        linux.ORIG > linux

%build
./util/build linux

%install
./util/build linux install
strip %{prefix}/bin/*
mkdir -p %{prefix}/man/man1
install -m 644 man/man1/spice.1 %{prefix}/man/man1
install -m 644 man/man1/nutmeg.1 %{prefix}/man/man1
install -m 644 man/man1/sconvert.1 %{prefix}/man/man1
ln -sf spice.1 %{prefix}/man/man1/spice3.1

%files
%doc readme* notes Linux.changes
%dir %{prefix}/lib
%dir %{prefix}/bin
%dir %{prefix}/man
%dir %{prefix}/man/man1
%{prefix}/lib/*
%{prefix}/bin/*
%{prefix}/man/man1/*

%changelog
* Sat Jul 10 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Updated to 3f5sfix

* Fri Jun 19 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Changed installation destination from /usr/spice to /opt/spice

* Fri Jan 23 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Added a mklinux patch to the version by Andrew Veliath <veliaa@rpi.edu>
- Changed prefix to %{prefix}.

